Subject: Re: "git archve --format=tar" output changed from 1.8.1 to 1.8.2.1

From: Greg KH <[email-masked]>
Date: Sun, 3 Feb 2013 18:48:00 -0600

On Thu, Jan 31, 2013 at 12:52:15PM -0500, Konstantin Ryabitsev wrote:
> On 31/01/13 12:41 PM, Greg KH wrote:
> > Ugh, uploading a 431Mb file, over a flaky wireless connection (I end up
> > doing lots of kernel releases while traveling), would be a horrible
> > change.  I'd rather just keep using the same older version of git that
> > kernel.org is running instead.
> 
> Well, we do accept compressed archives, so you would be uploading about
> 80MB instead of 431MB, but that would still be a problem for anyone
> releasing large tarballs over unreliable connections. I know you
> routinely do 2-3 releases at once, so that would still mean uploading
> 120-180MB.

That would mean I can't do kernel releases while on ferry rides, which
is probably a good thing in the end :)

> I don't have immediate statistics on how many people release using "kup
> --tar", but I know that at least you and Linus rely on that exclusively.

What causes you to upgrade the version of git on the server?  Are you
relying on packages for a distro, or is this "hand installed" by
yourself?  As long as I stay in lock-step with your updates, all should
be fine.

Oh, maybe we can report back to the user, the version of git that is
being used on the server, if the checksums don't match, so that I know
to at least see if my version is different from yours?

thanks,

greg k-h